<div id="user-edit">
  <h1 mat-dialog-title>Account {{data.name}}</h1>
  <div mat-dialog-content>

    <div id="forms" class="page-layout simple fullwidth" fxLayout="column">

      <div class="mb-24" fxLayout="column" fxLayoutAlign="start" fxLayout.gt-md="row">

        <form class="p-24" fxLayout="column" fxLayoutAlign="start"
              fxFlex="1 0 auto" name="form" [formGroup]="form">

          <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
            <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
              <mat-label>Email</mat-label>
              <input matInput type="email" formControlName="email" required>
              <mat-error>Email is required!</mat-error>
            </mat-form-field>
          </div>

          <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
            <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
              <mat-label>Password</mat-label>
              <input matInput type="password" formControlName="password" required>
              <mat-error>Password is required!</mat-error>
            </mat-form-field>
          </div>

          <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
            <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
              <mat-label>Repeat Password</mat-label>
              <input matInput type="password" formControlName="repeatPassword" required>
              <mat-error>Repeat Password is required!</mat-error>
            </mat-form-field>
          </div>

          <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
            <mat-form-field class="width-100" appearance="outline">
              <mat-label>Roles</mat-label>
              <mat-chip-list #chipList>
                <mat-chip
                  *ngFor="let fruit of fruits"
                  [selectable]="selectable"
                  [removable]="removable"
                  (removed)="remove(fruit)">
                  {{fruit}}
                  <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                </mat-chip>
                <input
                  #fruitInput
                  [formControl]="fruitCtrl"
                  [matAutocomplete]="auto"
                  [matChipInputFor]="chipList"
                  [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                  [matChipInputAddOnBlur]="addOnBlur"
                  (matChipInputTokenEnd)="add($event)">
              </mat-chip-list>
              <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
                <mat-option *ngFor="let fruit of filteredFruits | async" [value]="fruit">
                  {{fruit}}
                </mat-option>
              </mat-autocomplete>
            </mat-form-field>
          </div>

          <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-label>State</mat-label>
              <mat-select formControlName="state">
                <mat-option [value]="'Enable'">
                  Enable
                </mat-option>
                <mat-option [value]="'Disable'">
                  Disable
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>

          <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
            <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
              <mat-label>Account Limit</mat-label>
              <input matInput formControlName="accountLimit">
              <mat-error>Account Limit is required!</mat-error>
            </mat-form-field>
          </div>

          <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
            <mat-checkbox [labelPosition]="'before'" class="pb-20" formControlName="enableGame">
              Enable Game
            </mat-checkbox>
          </div>

          <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
            <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
              <mat-label>Promotion Points</mat-label>
              <input matInput formControlName="promotionPoints">
              <mat-error>Promotion Points is required!</mat-error>
            </mat-form-field>
          </div>

        </form>

      </div>

    </div>
    <!--<div class="mat-card form-errors-model p-24 mat-elevation-z4">-->
      <!--<div class="h2 mb-24">Reactive Form Model</div>-->
      <!--<pre><code>{{form.getRawValue() | json}}</code></pre>-->
    <!--</div>-->

  </div>
  <div mat-dialog-actions>
    <!--<button mat-button color="warn" (click)="onNoClick()">No Thanks</button>-->
    <!--<button mat-button color="accent" [mat-dialog-close]="data.animal" cdkFocusInitial>Ok</button>-->
    <button mat-raised-button color="accent">
      <mat-icon class="icon-action">save</mat-icon> Update
    </button>
    <button mat-raised-button color="accent">
      <mat-icon class="icon-action">playlist_add</mat-icon> Update and close
    </button>
    <span class="p-8">or</span>
    <button mat-raised-button color="warn">
      <mat-icon class="icon-action">delete</mat-icon> Delete
    </button>
  </div>

</div>